Skip to content
For the complete documentation index, see llms.txt. Markdown versions of documentation pages are available by appending .md to the page URL.
Primary navigation

Retrieve an agent environment

client.Beta.Agents.Environments.Get(ctx, environmentID) (*EnvironmentInfo, error)
GET
/agents/environments/{environment_id}

Retrieves an execution environment’s connection status and safe installed metadata. See environment lifecycle.

Parameters
environmentID string
minLength0
maxLength1048576
Returns
type EnvironmentInfo struct{…}

Safe metadata for a first-class execution environment.

ID string

The ID of the environment.

minLength0

Files installed in the environment, without their contents.

minItems0
maxItems2000
Object AgentEnvironment

The object type. Always agent.environment.

Plugins []HostedPlugin

Plugins installed in the environment, without their archive contents.

minItems0
maxItems2000

Skills installed in the environment, without their archive contents.

minItems0
maxItems2000
Status EnvironmentInfoStatus

The current environment connection status.

Type EnvironmentInfoType

Whether the environment is hosted by OpenAI or by the application.

Retrieve an agent environment

package main

import (
  "context"
  "fmt"

  "github.com/openai/openai-go"
  "github.com/openai/openai-go/option"
)

func main() {
  client := openai.NewClient(
    option.WithAPIKey("My API Key"),
  )
  environmentInfo, err := client.Beta.Agents.Environments.Get(context.TODO(), "environment_id")
  if err != nil {
    panic(err.Error())
  }
  fmt.Printf("%+v\n", environmentInfo.ID)
}
200 — Example
{
  "id": "id",
  "files": [
    {
      "id": "id",
      "file_id": "file_id",
      "path": "path",
      "size_bytes": 0,
      "type": "file_id"
    }
  ],
  "object": "agent.environment",
  "plugins": [
    {
      "description": "description",
      "name": "name",
      "type": "inline"
    }
  ],
  "skills": [
    {
      "description": "description",
      "name": "name",
      "skill_id": "skill_id",
      "type": "skill_reference",
      "version": "version"
    }
  ],
  "status": "pending",
  "type": "openai_hosted"
}
Returns Examples
200 — Example
{
  "id": "id",
  "files": [
    {
      "id": "id",
      "file_id": "file_id",
      "path": "path",
      "size_bytes": 0,
      "type": "file_id"
    }
  ],
  "object": "agent.environment",
  "plugins": [
    {
      "description": "description",
      "name": "name",
      "type": "inline"
    }
  ],
  "skills": [
    {
      "description": "description",
      "name": "name",
      "skill_id": "skill_id",
      "type": "skill_reference",
      "version": "version"
    }
  ],
  "status": "pending",
  "type": "openai_hosted"
}